Bug 1292385 - Can't stop "Apache HTTP Server"' when extension is enabled
Can't stop "Apache HTTP Server"' when extension is enabled
Status: NEW
Product: Fedora
Classification: Fedora
Component: php-facedetect (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 04:40 EST by Remi Collet
Modified: 2017-08-15 02:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2015-12-17 04:40:55 EST
When this extension is installed and enabled, httpd can't be stop

# systemctl stop httpd.service

=> hangs until TimeoutStopSec (default to 90")

child backtrace: 

10:34:59 - jorton : #0  0x00007fa294e856ad in pthread_join () from target:/lib64/libpthread.so.0
10:34:59 - jorton : #1  0x00007fa26c8a5e9d in linux_udev_stop_event_monitor () from target:/lib64/libusb-1.0.so.0
10:34:59 - jorton : #2  0x00007fa26c8a35cc in op_exit () from target:/lib64/libusb-1.0.so.0
10:34:59 - jorton : #3  0x00007fa26c89c3a2 in libusb_exit () from target:/lib64/libusb-1.0.so.0
10:34:59 - jorton : #4  0x00007fa2708607a1 in dc1394_usb_free () from target:/lib64/libdc1394.so.22
10:34:59 - jorton : #5  0x00007fa27084ee83 in dc1394_free () from target:/lib64/libdc1394.so.22
10:35:01 - jorton : #6  0x00007fa2948f1658 in __run_exit_handlers () from target:/lib64/libc.so.6
10:35:03 - jorton : #7  0x00007fa2948f16a5 in exit () from target:/lib64/libc.so.6
10:35:05 - jorton : #8  0x00007fa289d3f4fc in clean_child_exit () from target:/etc/httpd/modules/mod_mpm_prefork.so
10:35:07 - jorton : #9  0x00007fa289d3f9f0 in child_main () from target:/etc/httpd/modules/mod_mpm_prefork.so
10:35:09 - jorton : #10 0x00007fa289d3fdb3 in make_child () from target:/etc/httpd/modules/mod_mpm_prefork.so
10:35:11 - jorton : #11 0x00007fa289d3fe2b in startup_children () from target:/etc/httpd/modules/mod_mpm_prefork.so
10:35:13 - jorton : #12 0x00007fa289d40e07 in prefork_run () from target:/etc/httpd/modules/mod_mpm_prefork.so
10:35:17 - jorton : #13 0x000055f1807dac7e in ap_run_mpm ()
10:35:19 - jorton : #14 0x000055f1807d4307 in main ()
Comment 1 Sergio Monteiro Basto 2016-05-30 17:16:50 EDT
Reported upstream : 
https://github.com/infusion/PHP-Facedetect/issues/23
Comment 2 Fedora End Of Life 2016-11-24 09:17:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-07-25 15:39:07 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Jan Kurik 2017-08-15 02:43:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.